<template>
  
   <div class="p-2 w-100">
        <v-card class="w-100">
                  <v-toolbar color="white custom-top" flat>
          <v-btn class="btn-return" icon light to="/demandes/">
            <v-icon  color="grey darken-2">mdi-arrow-left</v-icon>
          </v-btn>

          <v-toolbar-title class="grey--text text--darken-4">
              <span >
                 Demande N° :
              </span>
              <span class="font-weight-light">
                 <small >{{ demand.file_number ? demand.file_number:'Non précisé' }}</small>
              </span> <v-chip small
      class="ma-2 text-uppercase"
      color="pink"
      label
      text-color="white"
    >

      {{ demand.status}}
    </v-chip>
          </v-toolbar-title>

          <v-spacer></v-spacer>
          <v-menu bottom left>
            <template v-slot:activator="{ on, attrs }">
              <v-btn
                color="grey"
                class="text-center"
                icon
                v-bind="attrs"
                v-on="on"
              >
                <v-icon>mdi-dots-vertical</v-icon>
              </v-btn>
            </template>
            <v-list flat>
              <v-subheader>PLUS D'ACTIONS</v-subheader>
              <v-list-item
                v-for="(item, i) in items"
                :key="i"              >
                <v-list-item-icon @click="item.click">
                  <v-icon v-text="item.icon"> mdi-printer</v-icon>
                </v-list-item-icon>
                <v-list-item-title>{{ item.title }}</v-list-item-title>
              </v-list-item>
            </v-list>
          </v-menu>

        </v-toolbar>
        <v-row class="pl-1 pr-1">
              <v-col cols="12" sm="6" md="6">
                <v-simple-table>
                  <template v-slot:default>
                    <tbody>
                      <tr>
                        <td><strong>Nom du patient</strong></td>
                        <td>{{ demand.patient.lastname}}</td>
                      </tr>
                      <tr>
                        <td><strong>Prénom du patient</strong></td>
                        <td>{{ demand.patient.firstname}}</td>
                      </tr>
                      <tr>
                        <td><strong>Date de naissance</strong></td>
                        <td>{{ demand.patient.birthdate}}</td>
                      </tr>
                      <tr>
                        <td><strong>Contact</strong></td>
                        <td>{{ demand.patient.phone_number}}</td>
                      </tr>
                    </tbody>
                  </template>
                </v-simple-table>
             </v-col>
              <v-col >
                <v-simple-table>
                  <template v-slot:default>
                    <tbody>
                      <tr>
                        <td style="width:150px"><strong>Nom du médecin</strong></td>
                        <td>{{ demand.name_physician }}</td>
                      </tr>
                      <tr>
                        <td style="width:150px"><strong>Qualification</strong></td>
                        <td>{{ demand.qualification ? demand.qualification.label : "Non précisée" }}</td>
                      </tr>
                      <tr>
                        <td style="width:150px"><strong>Ordre du médecin</strong></td>
                        <td>{{ demand.order_number_physician}}</td>
                      </tr>
                      <tr>
                        <td style="width:150px"><strong>Structure sanitaire</strong></td>
                        <td>{{ demand.hospital}}</td>
                      </tr>
                    </tbody>
                  </template>
                </v-simple-table>
             </v-col>
        </v-row>
        <v-divider class="mt-0 mb-0"></v-divider>
            <v-card-actions>
      <v-list-item class="">
        <v-list-item-content>
          <v-list-item-title>Enregistré par : <strong>Evan You</strong></v-list-item-title>
        </v-list-item-content>
      
        <!-- <pn-result></pn-result> -->

        <v-row
          align="center"
          justify="end"
        >
          <v-icon class="mr-1">mdi-calendar</v-icon>
          <span class="subheading mr-2">{{ demand.created_at }}</span>
        </v-row>
      </v-list-item>
    </v-card-actions>
        </v-card>

        <div class="base-title mt-2">
                  <v-toolbar color="white custom-top" flat>
                    <v-icon  color="grey darken-4" class="grey--text text--darken-5">mdi-microscope</v-icon>
          <v-toolbar-title class="grey--text text--darken-5">
            <div class="row">
              <div class="col-sm-6">
                <span > 
                Examens ({{demand.tests.length}})
              </span>
              </div>
              <div class="col-sm-6">
                <span>
                <modal-exams-result :demand="demand"></modal-exams-result>
              </span>
              </div>
            </div>
          </v-toolbar-title>
        </v-toolbar>
           <div class="row">
            <v-col 
              v-for=" testDetail in demand.tests"
              :key="testDetail.pivot.id"
              cols="12" sm="6" md="6"
            >
              <test-item :entity="testDetail"></test-item>
            </v-col>
           </div>
        </div>
   </div>
</template>

<script>
  
  import { mapGetters } from 'vuex'
  import TestItem from './TestItem'
  import PrelevementCervicoVaginal from './result_type_exams/PrelevementCervicoVaginal'
  import PnResult from './result_type_exams/PnResult'
  import { jsPDF } from "jspdf";
  import html2canvas from "html2canvas"
  import ModalExamsResult from './result_type_exams/modalExamsResult'

  export default {
    data: () => ({
            items: [
        { title: 'Annuler',icon:'mdi-file-cancel-outline', click:'' },
        { title: 'Imprimer',icon:'mdi-printer', click:'' },
        { title: 'Exporter en pdf',icon:'mdi-file-pdf', click:'createPDF' },
      ],
    }),

    computed: {
       ...mapGetters({initialized:'demands/initialized',demand:'demands/demand'}),

    },

    watch: {

    },
    components:{
        TestItem,
        PrelevementCervicoVaginal,
        PnResult,
        ModalExamsResult
    },
    created () {
      //On recherche le détail de la demande souhaitée
      this.$store.dispatch('demands/getDemand',this.$route.params.id)
    },

    methods: {
      download(){
        let pdfName = 'Résulats des examens'
      },
 
    },
  }
</script>
<style lang="scss" scoped>
.custom-top .v-toolbar__title {
    font-size: 1.25rem;
    line-height: 1;
}
</style>